.collect-bar {
  --handle-width: 40px;
  --handle-height: 22px;
  display: flex;
  flex-direction: column;
  row-gap: 6px;
}

.collect-bar__values,
.collect-bar__titles {
  display: flex;
  justify-content: space-between;
  column-gap: 10px;
  font-size: 13px;
  line-height: 20px;
  color: var(--main-color);
  white-space: nowrap;
}

.collect-bar__value,
.collect-bar__title {
}

.collect-bar__line {
  height: 5px;
  position: relative;
  background: var(--border-color);
  border-radius: 5px;
}

.collect-bar__line-value {
  position: absolute;
  height: 100%;
  background-color: var(--accent-color);
  border-radius: 5px;
  transition: width 1s ease-in-out;
}

.collect-bar:not(.is-visible) .collect-bar__line-value {
  width: 0 !important;
}

.collect-bar__line-tracker {
  position: absolute;
  left: calc(var(--handle-width) / 2);
  right: calc(var(--handle-width) / 2);
  top: 0;
  bottom: 0;
}

.collect-bar__line-handle {
  position: absolute;
  top: 50%;
  width: var(--handle-width);
  height: var(--handle-height);
  margin: calc(var(--handle-height) / -2) 0 0 calc(var(--handle-width) / -2);
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  background-color: var(--main-bg);
  border: 1px solid var(--accent-color);
  font-size: 13px;
  line-height: 20px;
  white-space: nowrap;
  color: var(--dark-color);
  border-radius: 20px;
  transition: left 1s ease-in-out;
}

.collect-bar:not(.is-visible) .collect-bar__line-handle {
  left: 0 !important;
}
